For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList secrets (metadata only)
      • POSTCreate a secret
      • GETGet secret metadata
      • PUTUpdate or rotate a secret
      • DELDelete a secret
      • POSTCheck which secret keys exist, are missing, or revoked
      • POSTGet intake manifest for secret configuration
      • POSTSubmit secret values from intake screen
      • POSTGenerate dashboard URL for configuring missing secrets
Dashboard
LogoLogo
Runtype APISecrets

Check which secret keys exist, are missing, or revoked

POST
/v1/secrets/check
POST
/v1/secrets/check
$curl -X POST https://api.runtype.com/v1/secrets/check \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "keys": [
> "DATABASE_URL",
> "API_SECRET_KEY",
> "OAUTH_CLIENT_ID"
> ]
>}'
1{
2 "found": [
3 "DATABASE_URL",
4 "API_SECRET_KEY"
5 ],
6 "missing": [
7 "OAUTH_CLIENT_ID"
8 ],
9 "revoked": [
10 "OLD_API_TOKEN"
11 ]
12}
Was this page helpful?
Previous

Get intake manifest for secret configuration

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
keyslist of stringsRequired

Response

Check result
foundlist of strings
missinglist of strings
revokedlist of strings

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error